%define		srcname qcosmos
Name:		kde-screensaver-%srcname
Version:	0.1
Release:	alt1
Summary:	QCosmos is neat little screensaver for KDE
License:	GPLv2
Group:		Graphical desktop/KDE
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://flyingdiamond.com/qcosmos
Source0:	http://www.flyingdiamond.com/qcosmos/%{srcname}_v%{version}.tar.gz
Source1:	%srcname.desktop
Patch0:		%{srcname}_v0.1-qmake_dir.diff
Patch1:		%{srcname}_v0.1-nolocal.diff

BuildPreReq:	kdelibs-devel
Requires:	kdebase-wm

# Automatically added by buildreq on Thu Jun 05 2008 (-bi)
BuildRequires:	gcc-c++ libmesa-devel libqt4-devel

%description
A very nice screen saver of the the cosmos, complete with an
infinite field of stars whizzing past your screen as rotating
planets, asteroids and space ships randomly appear against
multicolored galaxies off in the distance. Installation is
very simple works great for all X11 with QT4 installed. I will
try to build some pre-compiled packages when I get time.

%prep
%setup -q -n %srcname
%patch0 -p1
%patch1 -p1

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %srcname.pro
%make_build

%install
%make INSTALL_ROOT=%buildroot install
%__install -Dp -m 0755 bin/%srcname %buildroot%_bindir/%srcname.kss
%__install -Dp -m 0644 %SOURCE1 %buildroot%_datadir/applnk/System/ScreenSavers/%srcname.desktop

%files
%exclude %_datadir/%srcname/COPYING
%exclude %_datadir/%srcname/README
%doc README
%dir %_datadir/%srcname
%_bindir/*
%_datadir/applnk/System/ScreenSavers/%srcname.desktop
%_datadir/%srcname/asteroids
%_datadir/%srcname/galaxies
%_datadir/%srcname/planets
%_datadir/%srcname/ships

%changelog
* Thu Jun 05 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1-alt1
- initial build for ALT Linux
